# WiFiSwitch
Arduino-Sketch with HTTP and MQTT interface for ESP8266 based IoT WiFi-Switches like the Sonoff modules

## Features
- superior button handling
- developed with attention on stability and offline-availability
- supports all ESP8266 and ESP8285 based devices with 1-3 relais and/or buttons like famous Sonoff modules
- controllable via HTTP and MQTT
- WiFi setup via captive portal
- everything configurable via web interface
- direct support for Domoticz smart home server (via MQTT)
- straightforward design
- supports 2 actions per button (shortpress and hold)
  button actions can be defined via web interface